<%@ page contentType="text/html; charset=gb2312"%>
<%@ page import="java.sql.*"%> 
<%@ page import="java.util.*"%>
<%@ page import="java.util.Date"%>
<%@ page import="java.text.*"%>
<%@ include file="../admin/checkmaster.jsp"%>
<%@ include file="../inc/conn.jsp"%>
<%!String Layer_name;%>
<%
String sql,strsql,BBS_Cate_ID,BBS_Cate_Name,BBS_Cate_Manager_Name,BBS_Cate_Manager_Email,BBS_Cate_PID,Layer;
BBS_Cate_PID=request.getParameter("BBS_Cate_PID");
BBS_Cate_ID=request.getParameter("BBS_Cate_ID");
Layer=request.getParameter("layer");
BBS_Cate_Name=new String(request.getParameter("BBS_Cate_Name").getBytes("iso-8859-1"));
//url=request.getHeader("referer");
url="../bbsadmin/index.jsp?layer="+Layer+"&BBS_Cate_PID="+BBS_Cate_PID+"&BBS_Cate_Name="+BBS_Cate_Name;
if(Layer.equals("0")){
	Layer_name="一级类别";
	BBS_Cate_PID="0";
}
if(Layer.equals("1")){
	Layer_name="二级类别";
}

sql="select * from BBS_CATE where BBS_Cate_ID='"+BBS_Cate_ID+"'";
ResultSet rs=stmt.executeQuery(sql);
rs.next();
%>
<html>
<head>
<title>Untitled Document</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link href="../css/xmwuye.css" rel="stylesheet" type="text/css">

<script language="javascript">
<!--
	function check(form)
		{

		if (form.BBS_Cate_Name.value=="")
			{
			alert("请输入论坛类别名称！");
			form.BBS_Cate_Name.focus();
			return false;
			}
		if (form.BBS_Cate_Manager_Name.value=="")
			{
			alert("请输入版主姓名！");
			form.BBS_Cate_Manager_Name.focus();
			return false;
			}
			return true;
		}
//-->
</script>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form name="myform" method="post" action="Category_mod_act.jsp" onSubmit="return check(this)">
  <table width="500" border="0" align="center" cellspacing="1" cellpadding="2" bgcolor="#333333">
    <tr bgcolor="#d6dff7"> 
      <td colspan="2"> 
        <div align="center"><b><%=Layer_name%>修改</b></div>
      </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td width="30%"><%=Layer_name%>名称：</td>
      <td> 
        <input type="text" name="BBS_Cate_Name" size="40" value="<%=rs.getString("BBS_Cate_Name")%>">
      </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td><%=Layer_name%>版主：</td>
      <td> 
        <input type="text" name="BBS_Cate_Manager_Name" size="40" value="<%=rs.getString("BBS_Cate_Manager_Name")%>">
      </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td><%=Layer_name%>版主Email：</td>
      <td> 
        <input type="text" name="BBS_Cate_Manager_Email" size="40" value="<%=rs.getString("BBS_Cate_Manager_Email")%>">
      </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td>位置排列</td>
      <td> 
        <input name="totop" type="text" id="totop" value="<%=rs.getString("totop")%>" size="40">
      </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td colspan="2"> 
        <div align="center"> 
          <input type="hidden" name="BBS_Cate_ID" value="<%=BBS_Cate_ID%>">
          <input type="hidden" name="url" value="<%=url%>">
          <input type="submit" name="Submit" value="修改信息">
          <input type="reset" name="Submit2" value="取消">
        </div>
      </td>
    </tr>
  </table>
</form>
</body>
</html>